Get products using cursor with details from given views.

This endpoint allows users to retrieve a list of products with views* using a cursor for pagination. It is useful for efficiently managing large result sets by retrieving a specific page of the results.

*A view is a subset of product data, like METADATA, ATTRIBUTES, ASSETS and CATEGORIES to be included in the response, if no views are specified in the request, only product IDs will be returned.

For more detailed information on how to work with the Management API (MAPI) in Bluestone PIM, refer to our help pages Get started with Management API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Specifies the archive state of the entity. The default value is active.

Body Params
int32
1 to 100

Specifies the number of products to return in the result set. Used together with a cursor ID to fetch the next batch of results.

string

Specifies the cursor ID used for pagination. For the initial request, leave the cursor property empty. For subsequent requests, provide the nextCursor value returned in the previous response.

views
array

Specifies the list of entities views* to be included in the response.

*A view is a subset of product data, like METADATA, ATTRIBUTES, ASSETS and CATEGORIES, to be included in the response, if no views are specified in the request, only product IDs will be returned.

Note: The METADATA view includes these properties in the response:

      "metadata": {
        "name": {
          "value": {
            "en": "My Product"
          }
        },
        "number": "my-product",
        "description": {
          "value": {
            "en": "A description for my product"
          }
        },
        "state": "PLAYGROUND_ONLY",
        "contextStates": {},
        "archived": false,
        "lastUpdate": 1744386096497,
        "createDate": 1744386039893,
        "type": "SINGLE",
        "dataSynced": false,
        "readOnly": false,
        "relatedProductsRelationSortingOrderSource": "RELATION_DEFINITION"
      }

Note: The ATTRIBUTES view takes an optional list of attribute definition IDs to include, if omitted all attribute definitions will be included in the response.

Example:

"views": [
  {
    "type": "ASSETS"
  },
  {
    "type": "ATTRIBUTES",
    "definitionIds": [
      "664cc90da825236207yt01a7"
    ]
  }
]
views
Headers
string

Specifies the context in which to operate. If omitted, the default context en is used.

In Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.

For more detailed information on how context relates to language settings in Bluestone PIM, refer to the Languages and Context documentation.

Note: The default context is identified by the ID "en". IDs for additional contexts begin with a lowercase "L", not with the digit "1", followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.

string

Specifies whether to enable the fallback mechanism for the context. If omitted, the default value true will be used. When set to true, the system will provide a default translation or relevant information if the requested context's specific translation is missing.

For more detailed information on how context relates to language settings in Bluestone PIM, refer to the Languages and Context documentation.

Note: Setting the context-fallback parameter to false disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json